Index: ftp/curl/Makefile
===================================================================
--- ftp/curl/Makefile	(revision 321932)
+++ ftp/curl/Makefile	(working copy)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	curl
-PORTVERSION=	7.24.0
-PORTREVISION=	3
+PORTVERSION=	7.31.0
 CATEGORIES=	ftp ipv6 www
 MASTER_SITES=	http://curl.haxx.se/download/ \
 		LOCAL/sunpoet
@@ -14,11 +13,11 @@
 
 LICENSE=	MIT
 
-OPTIONS_DEFINE=	CARES CURL_DEBUG IPV6 KERBEROS4 LDAP LDAPS LIBIDN LIBSSH2 \
-		NTLM CA_BUNDLE PROXY RTMP TRACKMEMORY DOCS EXAMPLES
+OPTIONS_DEFINE=	CARES CURL_DEBUG GSSAPI IPV6 KERBEROS4 LDAP LDAPS LIBIDN \
+		LIBSSH2 NTLM CA_BUNDLE PROXY RTMP TRACKMEMORY DOCS EXAMPLES
 OPTIONS_RADIO=	SSL
 OPTIONS_RADIO_SSL=	OPENSSL GNUTLS
-OPTIONS_DEFAULT=	CA_BUNDLE PROXY OPENSSL
+OPTIONS_DEFAULT=	CA_BUNDLE PROXY OPENSSL GSSAPI
 CURL_DEBUG_DESC=	curl diagnostic output
 LIBIDN_DESC=		Internationalized Domain Names via libidn
 LIBSSH2_DESC=		SCP/SFTP support via libssh2
@@ -38,35 +37,117 @@
 
 .if !defined(BUILDING_HIPHOP)
 USE_LDCONFIG=	yes
-
-DOCS=		BINDINGS BUGS CONTRIBUTE DISTRO-DILEMMA FAQ FEATURES HISTORY \
-		INSTALL INSTALL.devcpp INTERNALS KNOWN_BUGS LICENSE-MIXING \
-		MANUAL README.netware README.win32 RESOURCES SSLCERTS THANKS \
-		TODO TheArtOfHttpScripting VERSIONS curl-config.html \
-		curl-config.pdf curl.html curl.pdf index.html
-MAN1=		curl.1 curl-config.1
-MAN3=		curl_easy_cleanup.3 curl_easy_duphandle.3 curl_easy_escape.3 \
-		curl_easy_getinfo.3 curl_easy_init.3 curl_easy_pause.3 \
-		curl_easy_perform.3 curl_easy_recv.3 curl_easy_reset.3 \
-		curl_easy_send.3 curl_easy_setopt.3 curl_easy_strerror.3 \
-		curl_easy_unescape.3 curl_escape.3 curl_formadd.3 \
-		curl_formfree.3 curl_formget.3 curl_free.3 curl_getdate.3 \
-		curl_getenv.3 curl_global_cleanup.3 curl_global_init.3 \
-		curl_global_init_mem.3 curl_mprintf.3 curl_multi_add_handle.3 \
-		curl_multi_assign.3 curl_multi_cleanup.3 curl_multi_fdset.3 \
-		curl_multi_info_read.3 curl_multi_init.3 curl_multi_perform.3 \
-		curl_multi_remove_handle.3 curl_multi_setopt.3 \
-		curl_multi_socket.3 curl_multi_socket_action.3 \
-	       	curl_multi_strerror.3 curl_multi_timeout.3 \
-		curl_share_cleanup.3 curl_share_init.3 curl_share_setopt.3 \
-		curl_share_strerror.3 curl_slist_append.3 \
-		curl_slist_free_all.3 curl_strequal.3 curl_unescape.3 \
-		curl_version.3 curl_version_info.3 libcurl.3 libcurl-easy.3 \
-		libcurl-errors.3 libcurl-multi.3 libcurl-share.3 \
-		libcurl-tutorial.3
 PLIST_SUB=	SHLIB_VER="${SHLIB_VER}"
+SHLIB_VER=	7
 
-SHLIB_VER=	6
+MAN1=		curl.1 curl-config.1 mk-ca-bundle.1
+MAN3= curl_easy_cleanup.3 curl_easy_duphandle.3 curl_easy_escape.3	\
+		curl_easy_getinfo.3 curl_easy_init.3			\
+		curl_easy_pause.3 curl_easy_perform.3			\
+		curl_easy_recv.3 curl_easy_reset.3 curl_easy_send.3	\
+		curl_easy_setopt.3 curl_easy_strerror.3			\
+		curl_easy_unescape.3 curl_escape.3 curl_formadd.3	\
+		curl_formfree.3 curl_formget.3 curl_free.3		\
+		curl_getdate.3 curl_getenv.3 curl_global_cleanup.3	\
+		curl_global_init.3 curl_global_init_mem.3		\
+		curl_mprintf.3 curl_multi_add_handle.3			\
+		curl_multi_assign.3 curl_multi_cleanup.3		\
+		curl_multi_fdset.3 curl_multi_info_read.3		\
+		curl_multi_init.3 curl_multi_perform.3			\
+		curl_multi_remove_handle.3 curl_multi_setopt.3		\
+		curl_multi_socket.3 curl_multi_socket_action.3		\
+		curl_multi_strerror.3 curl_multi_timeout.3		\
+		curl_multi_wait.3 curl_share_cleanup.3			\
+		curl_share_init.3 curl_share_setopt.3			\
+		curl_share_strerror.3 curl_slist_append.3		\
+		curl_slist_free_all.3 curl_strequal.3 curl_unescape.3	\
+		curl_version.3 curl_version_info.3 libcurl.3		\
+		libcurl-easy.3 libcurl-errors.3 libcurl-multi.3		\
+		libcurl-share.3 libcurl-tutorial.3
+PORTDOCS=BINDINGS BUGS CONTRIBUTE DISTRO-DILEMMA FAQ FEATURES HISTORY	\
+	INSTALL INSTALL.devcpp INTERNALS KNOWN_BUGS LICENSE-MIXING	\
+	MANUAL README.netware README.win32 RESOURCES SSLCERTS THANKS	\
+	TODO TheArtOfHttpScripting VERSIONS curl-config.html		\
+	curl-config.pdf curl.html curl.pdf index.html libcurl
+PORTDOCS_libcurl=libcurl/ABI libcurl/curl_easy_cleanup.html		\
+	libcurl/curl_easy_duphandle.html				\
+	libcurl/curl_easy_escape.html libcurl/curl_easy_getinfo.html	\
+	libcurl/curl_easy_init.html libcurl/curl_easy_pause.html	\
+	libcurl/curl_easy_perform.html libcurl/curl_easy_recv.html	\
+	libcurl/curl_easy_reset.html libcurl/curl_easy_send.html	\
+	libcurl/curl_easy_setopt.html libcurl/curl_easy_strerror.html	\
+	libcurl/curl_easy_unescape.html libcurl/curl_escape.html	\
+	libcurl/curl_formadd.html libcurl/curl_formfree.html		\
+	libcurl/curl_formget.html libcurl/curl_free.html		\
+	libcurl/curl_getdate.html libcurl/curl_getenv.html		\
+	libcurl/curl_global_cleanup.html				\
+	libcurl/curl_global_init.html					\
+	libcurl/curl_global_init_mem.html libcurl/curl_mprintf.html	\
+	libcurl/curl_multi_add_handle.html				\
+	libcurl/curl_multi_assign.html					\
+	libcurl/curl_multi_cleanup.html libcurl/curl_multi_fdset.html	\
+	libcurl/curl_multi_info_read.html				\
+	libcurl/curl_multi_init.html libcurl/curl_multi_perform.html	\
+	libcurl/curl_multi_remove_handle.html				\
+	libcurl/curl_multi_setopt.html libcurl/curl_multi_socket.html	\
+	libcurl/curl_multi_socket_action.html				\
+	libcurl/curl_multi_strerror.html				\
+	libcurl/curl_multi_timeout.html libcurl/curl_multi_wait.html	\
+	libcurl/curl_share_cleanup.html libcurl/curl_share_init.html	\
+	libcurl/curl_share_setopt.html					\
+	libcurl/curl_share_strerror.html				\
+	libcurl/curl_slist_append.html					\
+	libcurl/curl_slist_free_all.html libcurl/curl_strequal.html	\
+	libcurl/curl_unescape.html libcurl/curl_version.html		\
+	libcurl/curl_version_info.html libcurl/index.html		\
+	libcurl/libcurl-easy.html libcurl/libcurl-errors.html		\
+	libcurl/libcurl-multi.html libcurl/libcurl-share.html		\
+	libcurl/libcurl-tutorial.html libcurl/libcurl.html		\
+	libcurl/curl_easy_cleanup.pdf libcurl/curl_easy_duphandle.pdf	\
+	libcurl/curl_easy_escape.pdf libcurl/curl_easy_getinfo.pdf	\
+	libcurl/curl_easy_init.pdf libcurl/curl_easy_pause.pdf		\
+	libcurl/curl_easy_perform.pdf libcurl/curl_easy_recv.pdf	\
+	libcurl/libcurl.pdf libcurl/curl_easy_reset.pdf			\
+	libcurl/curl_easy_send.pdf libcurl/curl_easy_setopt.pdf		\
+	libcurl/curl_easy_strerror.pdf libcurl/curl_easy_unescape.pdf	\
+	libcurl/curl_escape.pdf libcurl/curl_formadd.pdf		\
+	libcurl/curl_formfree.pdf libcurl/curl_formget.pdf		\
+	libcurl/curl_free.pdf libcurl/curl_getdate.pdf			\
+	libcurl/curl_getenv.pdf libcurl/curl_global_cleanup.pdf		\
+	libcurl/curl_global_init.pdf libcurl/curl_global_init_mem.pdf	\
+	libcurl/curl_mprintf.pdf libcurl/curl_multi_add_handle.pdf	\
+	libcurl/curl_multi_assign.pdf libcurl/curl_multi_cleanup.pdf	\
+	libcurl/curl_multi_fdset.pdf libcurl/curl_multi_info_read.pdf	\
+	libcurl/curl_multi_init.pdf libcurl/curl_multi_perform.pdf	\
+	libcurl/curl_multi_remove_handle.pdf				\
+	libcurl/curl_multi_setopt.pdf libcurl/curl_multi_socket.pdf	\
+	libcurl/curl_multi_socket_action.pdf				\
+	libcurl/curl_multi_strerror.pdf					\
+	libcurl/curl_multi_timeout.pdf libcurl/curl_multi_wait.pdf	\
+	libcurl/curl_share_cleanup.pdf libcurl/curl_share_init.pdf	\
+	libcurl/libcurl.m4 libcurl/curl_share_setopt.pdf		\
+	libcurl/curl_share_strerror.pdf libcurl/curl_slist_append.pdf	\
+	libcurl/curl_slist_free_all.pdf libcurl/curl_strequal.pdf	\
+	libcurl/curl_unescape.pdf libcurl/curl_version.pdf		\
+	libcurl/curl_version_info.pdf libcurl/libcurl-easy.pdf		\
+	libcurl/libcurl-errors.pdf libcurl/libcurl-multi.pdf		\
+	libcurl/libcurl-share.pdf libcurl/libcurl-tutorial.pdf
+PORTEXAMPLES= Makefile.example README 10-at-a-time.c anyauthput.c	\
+	asiohiper.cpp cacertinmem.c certinfo.c chkspeed.c		\
+	cookie_interface.c curlgtk.c curlx.c debug.c evhiperfifo.c	\
+	externalsocket.c fileupload.c fopen.c ftp-wildcard.c ftpget.c	\
+	ftpgetinfo.c ftpgetresp.c ftpsget.c ftpupload.c			\
+	ftpuploadresume.c getinfo.c getinmemory.c ghiper.c		\
+	hiperfifo.c href_extractor.c htmltidy.c htmltitle.cpp		\
+	http-post.c httpcustomheader.c httpput.c https.c imap.c		\
+	multi-app.c multi-debugcallback.c multi-double.c multi-post.c	\
+	multi-single.c multi-uv.c multithread.c opensslthreadlock.c	\
+	persistant.c pop3s.c pop3slist.c post-callback.c postit2.c	\
+	progressfunc.c resolve.c rtsp.c sampleconv.c sendrecv.c		\
+	sepheaders.c sftpget.c simple.c simplepost.c simplesmtp.c	\
+	simplessl.c smooth-gtk-thread.c smtp-multi.c smtp-tls.c		\
+	synctime.c threaded-ssl.c url2file.c usercertinmem.c		\
+	xmlstream.c
 .endif
 
 .include <bsd.port.options.mk>
@@ -79,6 +160,10 @@
 IGNORE=		only supports NTLM with OpenSSL
 .endif
 
+.if ${PORT_OPTIONS:MGSSAPI} && ! ${PORT_OPTIONS:MOPENSSL}
+IGNORE=		only supports GSSAPI with OpenSSL
+.endif
+
 .if ${PORT_OPTIONS:MLDAPS}
 .if ! ${PORT_OPTIONS:MLDAP}
 IGNORE=		only supports LDAPS with LDAP
@@ -89,6 +174,12 @@
 .endif
 .endif
 
+.if ${PORT_OPTIONS:MGSSAPI}
+LIB_DEPENDS+=	fbopenssl:${PORTSDIR}/security/fbopenssl
+CONFIGURE_ARGS+=--with-gssapi --with-spnego=${LOCALBASE}/lib
+CPPFLAGS+=	-I${LOCALBASE}/include/fbopenssl
+.endif
+
 .if ${PORT_OPTIONS:MOPENSSL}
 USE_OPENSSL=	yes
 CONFIGURE_ARGS+=	--with-ssl=${OPENSSLBASE}
@@ -140,7 +231,7 @@
 .if ${PORT_OPTIONS:MLDAP}
 CONFIGURE_ARGS+=	--enable-ldap
 USE_OPENLDAP=	yes
-CFLAGS+=	-I${LOCALBASE}/include
+CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 .if ${PORT_OPTIONS:MLDAPS}
 CONFIGURE_ARGS+=	--enable-ldaps
@@ -203,12 +294,14 @@
 	${INSTALL_DATA} ${WRKSRC}/docs/libcurl/libcurl.m4 ${PREFIX}/share/aclocal
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}/ ${DOCSDIR}/libcurl/
-	cd ${WRKSRC}/docs/ && ${INSTALL_DATA} ${DOCS} ${DOCSDIR}/
-	cd ${WRKSRC}/docs/libcurl/ && ${INSTALL_DATA} ABI *.html *.pdf *.m4 ${DOCSDIR}/libcurl/
+	cd ${WRKSRC}/docs/ && \
+		${INSTALL_DATA} ${PORTDOCS:Nlibcurl} ${DOCSDIR}/ && \
+		${INSTALL_DATA} ${PORTDOCS_libcurl} ${DOCSDIR}/libcurl/
 .endif
 .if ${PORT_OPTIONS:MEXAMPLES}
 	${MKDIR} ${EXAMPLESDIR}/
-	cd ${WRKSRC}/docs/examples/ && ${INSTALL_DATA} README Makefile.example makefile* *.c *.cc ${EXAMPLESDIR}/
+	cd ${WRKSRC}/docs/examples/ && \
+		${INSTALL_DATA} ${PORTEXAMPLES} ${EXAMPLESDIR}/
 .endif
 .endif
 
Index: ftp/curl/distinfo
===================================================================
--- ftp/curl/distinfo	(revision 321932)
+++ ftp/curl/distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (curl-7.24.0.tar.lzma) = cd683ee8be137ed8a8e97d42fd3cc94f88f63d478b83d4abe38e31b6281e2268
-SIZE (curl-7.24.0.tar.lzma) = 1973811
+SHA256 (curl-7.31.0.tar.lzma) = f3ff7ae7f642e7f38b0c51ff3563d6f9f4254f5b05d1bfa8a5386fc91c70f7e4
+SIZE (curl-7.31.0.tar.lzma) = 2172148
Index: ftp/curl/files/patch-configure
===================================================================
--- ftp/curl/files/patch-configure	(revision 321932)
+++ ftp/curl/files/patch-configure	(working copy)
@@ -6,22 +6,18 @@
 Author: Peter Pentchev <roam@FreeBSD.org>
 Last-Update: 2010-12-19
 
---- configure.orig	2012-02-26 17:52:21.904908587 +0800
-+++ configure	2012-02-26 17:52:21.929909948 +0800
-@@ -15049,10 +15049,10 @@
-     flags_dbg_all="$flags_dbg_all -gdwarf-2"
-     flags_dbg_all="$flags_dbg_all -gvms"
-     flags_dbg_yes="-g"
--    flags_dbg_off="-g0"
-+    flags_dbg_off=""
-     flags_opt_all="-O -O0 -O1 -O2 -O3 -Os"
-     flags_opt_yes="-O2"
+--- configure.orig	2013-06-28 10:58:53.000000000 +0900
++++ configure	2013-06-28 11:05:13.000000000 +0900
+@@ -15653,7 +15653,7 @@
+     flags_dbg_off=""
+     flags_opt_all="-O -O0 -O1 -O2 -O3 -O4"
+     flags_opt_yes="-O1"
 -    flags_opt_off="-O0"
 +    flags_opt_off=""
    else
      { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
  $as_echo "no" >&6; }
-@@ -15892,6 +15892,9 @@
+@@ -16912,6 +16912,9 @@
      tmp_CFLAGS="$CFLAGS"
      tmp_CPPFLAGS="$CPPFLAGS"
  
@@ -31,15 +27,15 @@
      ac_var_stripped=""
    for word1 in $tmp_CFLAGS; do
      ac_var_strip_word="no"
-@@ -15922,6 +15925,7 @@
-   done
+@@ -16943,6 +16946,7 @@
      tmp_CPPFLAGS="$ac_var_stripped"
    squeeze tmp_CPPFLAGS
+ 
 +fi
- 
      #
      if test "$want_debug" = "yes"; then
-@@ -16139,6 +16143,9 @@
+       { $as_echo "$as_me:${as_lineno-$LINENO}: checking if compiler accepts debug enabling options" >&5
+@@ -17159,6 +17163,9 @@
      #
      if test "$honor_optimize_option" = "yes"; then
  
@@ -49,7 +45,7 @@
      ac_var_stripped=""
    for word1 in $tmp_CFLAGS; do
      ac_var_strip_word="no"
-@@ -16169,6 +16176,7 @@
+@@ -17189,6 +17196,7 @@
    done
      tmp_CPPFLAGS="$ac_var_stripped"
    squeeze tmp_CPPFLAGS
@@ -57,7 +53,7 @@
  
        if test "$want_optimize" = "yes"; then
          { $as_echo "$as_me:${as_lineno-$LINENO}: checking if compiler accepts optimizer enabling options" >&5
-@@ -20137,7 +20145,8 @@
+@@ -21614,7 +21622,8 @@
          PKGTEST="no"
      PREFIX_OPENSSL=$OPT_SSL
  
@@ -67,7 +63,7 @@
      { $as_echo "$as_me:${as_lineno-$LINENO}: PKG_CONFIG_LIBDIR will be set to \"$OPENSSL_PCDIR\"" >&5
  $as_echo "$as_me: PKG_CONFIG_LIBDIR will be set to \"$OPENSSL_PCDIR\"" >&6;}
      if test -f "$OPENSSL_PCDIR/openssl.pc"; then
-@@ -23231,29 +23240,30 @@
+@@ -24962,6 +24971,9 @@
      ;;
    off)
          LIB_RTMP="-lrtmp"
@@ -77,28 +73,15 @@
      ;;
    *)
          PREFIX_RTMP=$OPT_LIBRTMP
-+        LIB_RTMP="-lrtmp"
-+        LD_RTMP=-L${PREFIX_RTMP}/lib$libsuff
-+        CPP_RTMP=-I${PREFIX_RTMP}/include
-+        DIR_RTMP=${PREFIX_RTMP}/lib$libsuff
-     ;;
+@@ -24969,6 +24981,7 @@
    esac
  
--    if test -n "$PREFIX_RTMP"; then
--    LD_RTMP=-L${PREFIX_RTMP}/lib$libsuff
--    CPP_RTMP=-I${PREFIX_RTMP}/include
--    DIR_RTMP=${PREFIX_RTMP}/lib$libsuff
--  fi
--
-   LDFLAGS="$LDFLAGS $LD_RTMP"
-   CPPFLAGS="$CPPFLAGS $CPP_RTMP"
-   LIBS="$LIBS $LIB_RTMP"
- 
--  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for RTMP_Init in -lrtmp" >&5
--$as_echo_n "checking for RTMP_Init in -lrtmp... " >&6; }
-+  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for RTMP_Init in $LIB_RTMP" >&5
-+$as_echo_n "checking for RTMP_Init in $LIB_RTMP... " >&6; }
- if test "${ac_cv_lib_rtmp_RTMP_Init+set}" = set; then :
+     if test -n "$PREFIX_RTMP"; then
++    LIB_RTMP="-lrtmp"
+     LD_RTMP=-L${PREFIX_RTMP}/lib$libsuff
+     CPP_RTMP=-I${PREFIX_RTMP}/include
+     DIR_RTMP=${PREFIX_RTMP}/lib$libsuff
+@@ -24984,7 +24997,7 @@
    $as_echo_n "(cached) " >&6
  else
    ac_check_lib_save_LIBS=$LIBS
Index: ftp/curl/files/patch-lib::curl_gssapi.h
===================================================================
--- ftp/curl/files/patch-lib::curl_gssapi.h	(revision 0)
+++ ftp/curl/files/patch-lib::curl_gssapi.h	(working copy)
@@ -0,0 +1,12 @@
+--- lib/curl_gssapi.h.orig	2013-06-18 23:03:06.000000000 +0900
++++ lib/curl_gssapi.h	2013-06-18 23:03:42.000000000 +0900
+@@ -36,7 +36,8 @@
+ #  include <gssapi/gssapi_krb5.h>
+ #else
+    /* Heimdal-style */
+-#  include <gssapi.h>
++#  include <gssapi/gssapi.h>
++#  include <gssapi/gssapi_krb5.h>
+ #endif
+ 
+ 

Property changes on: ftp/curl/files/patch-lib::curl_gssapi.h
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Index: ftp/curl/files/patch-lib::urldata.h
===================================================================
--- ftp/curl/files/patch-lib::urldata.h	(revision 0)
+++ ftp/curl/files/patch-lib::urldata.h	(working copy)
@@ -0,0 +1,11 @@
+--- lib/urldata.h.orig	2013-06-18 23:04:31.000000000 +0900
++++ lib/urldata.h	2013-06-18 23:04:54.000000000 +0900
+@@ -169,7 +169,7 @@
+ #  include <gssapi/gssapi.h>
+ #  include <gssapi/gssapi_generic.h>
+ # else
+-#  include <gssapi.h>
++#  include <gssapi/gssapi.h>
+ # endif
+ #endif
+ 

Property changes on: ftp/curl/files/patch-lib::urldata.h
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Index: ftp/curl/pkg-plist
===================================================================
--- ftp/curl/pkg-plist	(revision 321932)
+++ ftp/curl/pkg-plist	(working copy)
@@ -16,202 +16,3 @@
 lib/libcurl.so
 lib/libcurl.so.%%SHLIB_VER%%
 libdata/pkgconfig/libcurl.pc
-%%PORTDOCS%%%%DOCSDIR%%/BINDINGS
-%%PORTDOCS%%%%DOCSDIR%%/BUGS
-%%PORTDOCS%%%%DOCSDIR%%/CONTRIBUTE
-%%PORTDOCS%%%%DOCSDIR%%/DISTRO-DILEMMA
-%%PORTDOCS%%%%DOCSDIR%%/FAQ
-%%PORTDOCS%%%%DOCSDIR%%/FEATURES
-%%PORTDOCS%%%%DOCSDIR%%/HISTORY
-%%PORTDOCS%%%%DOCSDIR%%/INSTALL
-%%PORTDOCS%%%%DOCSDIR%%/INSTALL.devcpp
-%%PORTDOCS%%%%DOCSDIR%%/INTERNALS
-%%PORTDOCS%%%%DOCSDIR%%/KNOWN_BUGS
-%%PORTDOCS%%%%DOCSDIR%%/LICENSE-MIXING
-%%PORTDOCS%%%%DOCSDIR%%/MANUAL
-%%PORTDOCS%%%%DOCSDIR%%/README.netware
-%%PORTDOCS%%%%DOCSDIR%%/README.win32
-%%PORTDOCS%%%%DOCSDIR%%/RESOURCES
-%%PORTDOCS%%%%DOCSDIR%%/SSLCERTS
-%%PORTDOCS%%%%DOCSDIR%%/THANKS
-%%PORTDOCS%%%%DOCSDIR%%/TODO
-%%PORTDOCS%%%%DOCSDIR%%/TheArtOfHttpScripting
-%%PORTDOCS%%%%DOCSDIR%%/VERSIONS
-%%PORTDOCS%%%%DOCSDIR%%/curl-config.html
-%%PORTDOCS%%%%DOCSDIR%%/curl-config.pdf
-%%PORTDOCS%%%%DOCSDIR%%/curl.html
-%%PORTDOCS%%%%DOCSDIR%%/curl.pdf
-%%PORTDOCS%%%%DOCSDIR%%/index.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/ABI
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_cleanup.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_cleanup.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_duphandle.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_duphandle.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_escape.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_escape.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_getinfo.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_getinfo.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_init.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_init.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_pause.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_pause.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_perform.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_perform.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_recv.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_recv.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_reset.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_reset.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_send.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_send.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_setopt.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_setopt.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_strerror.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_strerror.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_unescape.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_easy_unescape.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_escape.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_escape.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_formadd.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_formadd.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_formfree.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_formfree.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_formget.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_formget.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_free.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_free.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_getdate.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_getdate.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_getenv.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_getenv.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_global_cleanup.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_global_cleanup.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_global_init.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_global_init.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_global_init_mem.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_global_init_mem.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_mprintf.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_mprintf.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_add_handle.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_add_handle.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_assign.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_assign.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_cleanup.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_cleanup.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_fdset.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_fdset.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_info_read.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_info_read.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_init.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_init.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_perform.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_perform.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_remove_handle.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_remove_handle.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_setopt.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_setopt.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_socket.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_socket.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_socket_action.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_socket_action.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_strerror.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_strerror.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_timeout.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_multi_timeout.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_share_cleanup.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_share_cleanup.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_share_init.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_share_init.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_share_setopt.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_share_setopt.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_share_strerror.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_share_strerror.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_slist_append.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_slist_append.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_slist_free_all.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_slist_free_all.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_strequal.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_strequal.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_unescape.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_unescape.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_version.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_version.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_version_info.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/curl_version_info.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/index.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-easy.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-easy.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-errors.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-errors.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-multi.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-multi.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-share.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-share.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-tutorial.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl-tutorial.pdf
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl.html
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl.m4
-%%PORTDOCS%%%%DOCSDIR%%/libcurl/libcurl.pdf
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/libcurl
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/10-at-a-time.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/Makefile.example
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/README
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/anyauthput.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/cacertinmem.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/certinfo.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/chkspeed.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/cookie_interface.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/curlgtk.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/curlx.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/debug.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/evhiperfifo.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/externalsocket.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/fileupload.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/fopen.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ftp-wildcard.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ftpget.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ftpgetinfo.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ftpgetresp.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ftpupload.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ftpuploadresume.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/getinfo.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/getinmemory.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ghiper.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/hiperfifo.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/htmltidy.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/htmltitle.cc
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/http-post.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/httpcustomheader.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/httpput.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/https.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/imap.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/makefile.dj
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/multi-app.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/multi-debugcallback.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/multi-double.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/multi-post.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/multi-single.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/multithread.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/opensslthreadlock.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/persistant.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/pop3s.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/pop3slist.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/post-callback.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/postit2.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/progressfunc.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/resolve.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/rtsp.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/sampleconv.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/sepheaders.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/sendrecv.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/simple.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/simplepost.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/simplesmtp.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/simplessl.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/smooth-gtk-thread.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/smtp-multi.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/smtp-tls.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/synctime.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/threaded-ssl.c
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/url2file.c
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
